%define oname pygobject

%define api 2.0
%define major 0
%define libname %mklibname pyglib-gi %api %major

%global __provides_exclude_from ^(%{py_platsitedir}|%{python3_sitearch})/(pygtkcompat|gi/pygtkcompat.py|gi/_gobject/__init__.py|gi/module.py|gi/__init__.py|gi/overrides/GIMarshallingTests.py)
%global __requires_exclude_from ^(%{py_platsitedir}|%{python3_sitearch})/(pygtkcompat|gi/pygtkcompat.py|gi/_gobject/__init__.py|gi/module.py|gi/__init__.py|gi/overrides/GIMarshallingTests.py)

%global __requires_exclude typelib\\(%%namespaces

%define url_ver %(echo %{version} | cut -d "." -f -2)

%define with_python3 1

Summary:	Python bindings for GObject Introspection
Name:		python-gobject3
Version:	3.24.1
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:		pygobject-3.19.2-link.diff
License:	LGPLv2+ and MIT
Group:		Development/Python
Url:		http://www.gnome.org
BuildRequires:	pkgconfig(python) >= 2.7
BuildRequires:	pkgconfig(glib-2.0) >= 2.38.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.38.0
BuildRequires:	pkgconfig(libffi) >= 3.0
BuildRequires:	pkgconfig(pycairo) >= 1.2.0
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	automake
%if %{with_python3}
BuildRequires:  pkgconfig(python3) >= 3.1
BuildRequires:  pkgconfig(py3cairo) >= 1.10.0
%endif

%description
The %{name} package provides a convenient wrapper for the GObject library
for use in Python programs.

%package -n python-gi
Summary:	Python bindings for GObject Introspection
Group:		Development/Python
Provides:	python-gobject-introspection = %{version}-%{release}
Provides:	%{name} = %{version}-%{release}
Conflicts:	python-gobject < 2.28.6-4

%description -n python-gi
The %{name} package provides a convenient wrapper for the GObject library
for use in Python programs.

This package contains the Python GObject Introspection bindings.

%package -n python-gi-cairo
Summary:	Python-gi bindings for Cairo
Group:		Development/Python
Requires:	python-gi = %{version}-%{release}
Requires:	python-cairo >= 1.2.0
Obsoletes:	python-gobject-cairo < 2.28.6-4
Provides:	python-gobject-cairo = %{version}-%{release}

%description -n python-gi-cairo
The %{name} package provides a convenient wrapper for the GObject library
for use in Python programs.

This package contains the Python-gi Cairo bindings.

%package -n %{libname}
Group:		System/Libraries
Summary:	Python GObject Introspection bindings shared library

%description -n %{libname}
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful, 
and is usable to write moderately complex programs.

%package devel
Group:		Development/C
Summary:	Python-gobject development files
Requires:	%{name} = %{version}-%{release}
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
Requires:	pkgconfig(gobject-introspection-1.0)

%description devel
This contains the python-gobject development files, including C
header, pkg-config file.

%if %{with_python3}
%package -n python3-gobject3
Summary:	Python 3 bindings for GObject Introspection
Group:		Development/Python
Requires:	python3-cairo >= 1.10.0-15
Requires:	gobject-introspection

%description -n python3-gobject3
This package provides a convenient wrapper for the GObject library and other
libraries that are compatible with GObject Introspection, for use with Python 3
programs.

%package -n python3-gobject3-devel
Group:		Development/C
Summary:	Python3-gobject development files
Requires:	python3-gobject3 = %{version}-%{release}
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
Requires:	pkgconfig(gobject-introspection-1.0)
Conflicts:	%{name}-devel < 3.10.0-2

%description -n python3-gobject3-devel
This contains the python-gobject development files, including C
header, pkg-config file.
%endif

%prep
%setup -q -c -T

# Python 2
tar xf %{SOURCE0}
pushd pygobject-%{version}
%patch0 -p0
popd
mv pygobject-%{version} python2

# Python 3
%if %{with_python3}
cp -ar python2 python3
%endif

# fix shebangs
find python2 -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python}|'
%if %{with_python3}
find python3 -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif

%build
# Python 2
pushd python2
	export PYTHON=%{__python}
	autoreconf -vfi
	%configure2_5x
	%make
popd

%if %{with_python3}
# Python 3
pushd python3
	export PYTHON=%{__python3}
	autoreconf -vfi
	%configure2_5x
	%make
popd
%endif

%install
# Python 2
pushd python2
	export PYTHON=%{__python}
	%makeinstall_std
popd

%if %{with_python3}
# Python 3
pushd python3
	export PYTHON=%{__python3}
	%makeinstall_std
popd
%endif

find %buildroot \( -name '*.la' -o -name '*.a' \) -delete

# dsextra stuff is for windows installs so remove it
rm -fr %{buildroot}%{python_sitearch}/gtk-2.0

# docs are out of date and are being reworked upstream
# so remove them
rm -rf %{buildroot}%{_datadir}/gtk-doc
rm -rf %{buildroot}%{_datadir}/pygobject

%files -n python-gi
%doc python2/README python2/NEWS python2/AUTHORS
%py_platsitedir/gi
%py_platsitedir/pygtkcompat
%py_platsitedir/*.egg-info
# Live in cairo subpackage
%exclude %py_platsitedir/gi/_gi_cairo.so

%files -n python-gi-cairo
%py_platsitedir/gi/_gi_cairo.so

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%if %{with_python3}
%files -n python3-gobject3
%python3_sitearch/gi
%python3_sitearch/pygtkcompat
%python3_sitearch/*.egg-info
%endif


%changelog
* Thu Jul 13 2017 adrianomorselli <adrianomorselli> 3.24.1-1uplos2017
- update
